//------------------------------------------------------------------------
//
// OpenDCC - DCC Sniffer
//
// Copyright (c) 2007 Kufer
//
// This source file is subject of the GNU general public license 2,
// that is available at the world-wide-web at
// http://www.gnu.org/licenses/gpl.txt
// 
//------------------------------------------------------------------------
//
// file:      TimerPWM.h
// author:    Wolfgang Kufer
// contact:   kufer@gmx.de
// webpage:   http://www.opendcc.de
// history:   2008-03-01 V0.1 kw start
//         
//------------------------------------------------------------------------
//
// purpose:   flexible general purpose decoder for dcc
//            This is the central definition file for the project
//
//------------------------------------------------------------------------
//
// content:   1. Project settings
//               1.a) General
//               1.b) Configuration of Software Modules
//
//            2. EEPROM definitions (CV's)
//            3. Global variables
//            4. Useful inline routines (delay, Semaphor-operations)
//
//========================================================================
//
#ifndef _TIMERPWM_H_
#define _TIMERPWM_H_

// we run Timer2 with 16MHz, Prescaler 8: This is 0.5us grid; 128us Systimer
//
#define SYSTIMER_PERIOD  128L 

extern volatile signed char systick_128us;    // gets incremented every 128us
extern volatile signed char systick_1ms;      // gets incremented every 1ms

extern unsigned long measure_time;            // gets incremented every 1ms

//========================================================================

void init_timer(void);

void run_timer(void);

void reset_measure_timer(void);

#endif   // _TIMERPWM_H_
